<?php

declare (strict_types=1);
namespace CelerSearch\Vendor\Meilisearch\Contracts\TaskDetails;

use CelerSearch\Vendor\Meilisearch\Contracts\TaskDetails;
/**
 * @implements TaskDetails<array<mixed>>
 * @internal
 */
final class UnknownTaskDetails implements TaskDetails
{
    /**
     * @param array<mixed> $data
     */
    public function __construct(public readonly array $data)
    {
    }
    public static function fromArray(array $data) : self
    {
        return new self($data);
    }
}
